package com.jiuqi.util.inifile;

import com.jiuqi.util.MemStream;

/* loaded from: com_jiuqi_util_inifile.jar:com/jiuqi/util/inifile/MemStreamIni.class */
public class MemStreamIni extends StreamIni {
    public MemStreamIni() {
        super(new MemStream());
    }

    @Override // com.jiuqi.util.inifile.BufferIni
    public void clear() {
        super.clear();
        replaceStream(new MemStream());
    }

    /* JADX WARN: Failed to find 'out' block for switch in B:8:0x0047. Please report as an issue. */
    public static void printIni(BufferIni ini, String level) {
        for (int i = 0; i < ini.count(); i++) {
            Section sec = ini.get(i);
            System.out.println(String.valueOf(level) + "[" + sec.name() + "]");
            String s = "";
            for (int k = 0; k < sec.count(); k++) {
                Ident ident = sec.get(k);
                switch (ident.type) {
                    case Ident.IdentType_Boolean /* 1 */:
                        s = sec.readBoolean(ident.name, false) ? "true" : "flase";
                        break;
                    case Ident.IdentType_Integer /* 2 */:
                        s = Integer.toString(sec.readInteger(ident.name, 0));
                        break;
                    case Ident.IdentType_Double /* 3 */:
                        s = Double.toString(sec.readDouble(ident.name, 0.0d));
                        break;
                    case Ident.IdentType_Long /* 4 */:
                        s = Long.toString(sec.readLong(ident.name, 0L));
                        break;
                    case Ident.IdentType_String /* 5 */:
                        s = sec.readString(ident.name, "");
                        break;
                    case Ident.IdentType_Stream /* 6 */:
                        s = "Stream";
                        break;
                    case Ident.IdentType_Ini /* 7 */:
                        s = "*";
                        break;
                }
                System.out.println(String.valueOf(level) + "  " + ident.name + " = " + s);
                if (ident.type == 7) {
                    printIni(sec.readIni(ident.name), String.valueOf(level) + "    ");
                }
            }
        }
    }
}
